net.minecraft.world.gen.structure

## Class ComponentVillagePathGen

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentVillage
    - - net.minecraft.world.gen.structure.ComponentVillageRoadPiece
      - - net.minecraft.world.gen.structure.ComponentVillagePathGen

-     public class ComponentVillagePathGen
      extends ComponentVillageRoadPiece

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentVillagePathGen(ComponentVillageStartPiece par1ComponentVillageStartPiece, int par2, Random par3Random, StructureBoundingBox par4StructureBoundingBox, int par5)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
    `void` | `buildComponent(StructureComponent par1StructureComponent, List par2List, Random par3Random)` Initiates construction of the Structure Component picked, at the current Location of StructGen
    `static StructureBoundingBox` | `func_74933_a(ComponentVillageStartPiece par0ComponentVillageStartPiece, List par1List, Random par2Random, int par3, int par4, int par5, int par6)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `findIntersecting, getBoundingBox, getCenter, getComponentType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentVillagePathGen

          public ComponentVillagePathGen(ComponentVillageStartPiece par1ComponentVillageStartPiece,
                                 int par2,
                                 Random par3Random,
                                 StructureBoundingBox par4StructureBoundingBox,
                                 int par5)

  - ### Method Detail

    - #### buildComponent

          public void buildComponent(StructureComponent par1StructureComponent,
                            List par2List,
                            Random par3Random)

      Initiates construction of the Structure Component picked, at the current Location of StructGen
      Overrides:
        `buildComponent` in class `StructureComponent`

    - #### func_74933_a

          public static StructureBoundingBox func_74933_a(ComponentVillageStartPiece par0ComponentVillageStartPiece,
                                          List par1List,
                                          Random par2Random,
                                          int par3,
                                          int par4,
                                          int par5,
                                          int par6)

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
      Specified by:
        `addComponentParts` in class `StructureComponent`